Reconfigure Transaction - Inbound
post
/rest/v19/commerceDocumentsOraclecpqoTransaction/{id}/actions/_reconfigure_inbound_action
Use this endpoint to return to the quote after editing a configuration. The functionality attached to this action won't fire until the user has returned to the transaction.
Request
Supported Media Types
- application/json
Path Parameters
-
id(required): integer
Current unique user-side ID. This is the internal identifier for a transaction within a CPQ site.
Root Schema : commerceDocumentsOraclecpqoTransaction-ReconfigureInboundRequest
Type:
Show Source
object-
cacheInstanceId:
string
Title:
Cache Instance IdThe unique identifier for the entry of transaction data stored in the cache. This typically is obtained from first createTransaction or OpenTransaction action and passed along in subsequent Modify/Interact action to avoid reload transaction data from db. -
revisionId:
string
Title:
Revision IdThe string parameter that contains the revision information. -
selectionMode:
string
Title:
Selection ModeIndicating how selections content should be interpreted, supported values are: 1) '' - content of 'selections' param OR 2) 'ResultSetExceptSelected' - all entries in result set except those listed in 'selections' param -
selections:
array selections
-
skipIntegration:
boolean
Title:
skipIntegrationIf value for 'skipIntegration' is true, integration tab logic is skipped, otherwise(value is false or absent) it is executed.
Response
Supported Media Types
- application/json
Default Response
Root Schema : commerceDocumentsOraclecpqoTransaction-ReconfigureInboundResponse
Type:
Show Source
object-
cacheInstanceId:
string
Title:
Cache Instance IdThe unique identifier for the entry of transaction data stored in the cache. This typically is obtained from first createTransaction or OpenTransaction action and passed along in subsequent Modify/Interact action to avoid reload transaction data from db. -
layoutVariableName:
string
Title:
Selected Redwood LayoutThe string parameter that contains selected redwood layout's variable name. -
revisionId:
string
Title:
Revision IdThe string parameter that contains the revision information. -
warnings:
object warnings
Title:
warningswarning messages
Nested Schema : warnings
Type:
objectTitle:
warningswarning messages
Show Source
-
messages:
array Messages
Title:
MessagesArray of messages that have been generated for a specific object.
Nested Schema : Messages
Type:
arrayTitle:
MessagesArray of messages that have been generated for a specific object.
Show Source
-
Array of:
string
warning message.